Retrieve Wallet balance by currency
Query your wallet balance for a specific currency.
Last updated 13 September 2026
get
https://api.flutterwave.com/v3/balances/{currency}
authorization string required
Pass your secret key as a bearer token in the request header to authorize this call
FILL IN ALL REQUIRED FIELDS
currency string required
ISO 4217 currency code.
FILL IN ALL REQUIRED FIELDS
status string
message string
data object
FILL IN ALL REQUIRED FIELDS
currency string
available_balance integer
ledger_balance number
Shell
1
1